<template>
  <div>
    <AppBar />
    <v-container>
      <h1>create note</h1>
      <v-divider class="py-4"></v-divider>
      <v-card class="px-4 py-4" flat outlined>
        <v-row align="center" justify="space-between">
          <v-col cols="12" md="6">
            <v-text-field
              v-model="title"
              outlined
              label="Titulo"
              color="dark"
            />
          </v-col>
        </v-row>
        <v-row>
          <v-col cols="12">
            <v-textarea
              v-model="content"
              outlined
              label="contenido"
              color="dark"
            ></v-textarea>
          </v-col>
        </v-row>
        <v-row class="px-3">
          <v-btn block large color="success" @click="storeNote">Save</v-btn>
        </v-row>
      </v-card>
    </v-container>
  </div>
</template>

<script>
import { ipcRenderer } from "electron";
import AppBar from "@/components/AppBar";
export default {
  name: "CreateNote",
  components: {
    AppBar,
  },
  data() {
    return {
      title: "",
      content: "",
    };
  },
  methods: {
   async storeNote() {
     console.log("antes de guardar vue");
       ipcRenderer.send("api", {
        to: "notes",
        method: "store",
        params: {
          title: this.title,
          content: this.content,
        },
      });
      await ipcRenderer.on('api/notes/store',(event,response)=>{                          
      
      if(response!=null)
      this.$router.go(-1);
      });

    },
  },
};
</script>

<style>
</style>